<!--
  省市县三级联动选择  星驿付 获取支行市编码（基于富友）

  @author yr
  @site https://www.jeequan.com
  @date 2022/10/20 17:34
-->

<template>
  <a-cascader :value="props.value" :options="allList" placeholder="选择省市县" @change="changeFunc" />
</template>
<script lang="ts" setup>
import { defineProps } from 'vue'
import allList from './areacodeFuiou.json'

const props = defineProps({
    value: { type: Array, default: null },
})

// emit 父组件使用： v-model="val" 进行双向绑定。
const emit = defineEmits(['update:value'])

// 当属性发生了变化， 需要通过函数向父组件通信 --》 父组件再通知子组件进行数据的变化。 
function changeFunc(value){
    emit('update:value', value)
}

</script>

